Subject: Re: looking for cygnus compatible perl
From: [email-masked] (Erwin Achermann)

23 Dec 1997 02:56:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Hi 
maybe we elaborate a HowTo altogether.... 

I have Sergeys patches: 
bash.exe 04.07.97     	in:C:\bin 
                           C:\gnuwin32\b18\H-i386-cygwin32\bin  
                          
C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\bin
sh.exe == bash.exe	in:C:\bin 
                           C:\gnuwin32\b18\H-i386-cygwin32\bin  
cygwin.dll 03.11.97	in:C:\gnuwin32\b18\H-i386-cygwin32\bin  
			   C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\lib
libcygwin.a 03.11.97
in:C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\lib

I extract the perl5.004.04 into the directory c:\perl

I make sure, that /perl is mounted binary, i.e
$ mount -b c:\\perl /perl

Now I extract Chris's patch and save it. (mighty emacs makes sure, 
there are no ^M [but that's no problem anyhow, cause we're 
on a binary mounted disk area] {to be clear: I save it in emacs'
text-mode})
I save it at /perl/src/perl5.004_04-mpe/cygerlpat5.004_04

The patch says i should do a (it removes a file apparently not
needed...)
$ sh cygperlpat5.004_04           

Next we do as in the header of tha patch said:
$ patch -p1 -N < cygperlpat5.004_04

this produces a lot of output. Saying amongst other:  Hunk #1 succeeded
at .. etc 
(Just to test: in util.c there is now an #ifdef __CYGWIN32__ at line
1337, it is the last patch applied by the patch command, so let's hope
all the others went well too)

Now I load the 'new' README.cygwin32 and proceed as it says.

I run
$ sh Configure 

I get tons of 
: command not found
: command not found
: command not found

Second try: I browse trough Configure and save it this time in emacs'
binary-mode (it tells me "no changes need to be saved"... hmmm)

I run 
$ sh Configure
Again I get tons of 
: command not found
: command not found
: command not found

Third try: I change a comment line in Configure change it back, (hehe,
now emacs saves it) 
I run 
$ sh Configure
sh Configure -ds -e
sh Configure -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e
sh Configure -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds -e -ds
-e

I dont't have to mount this directory as binary as well, do I?? (did
that, no change)
I don't have to set environmetn Vars like CC?? (done that:
/perl/src/perl5.004_04-mpe 29>sh Configure
sh Configure -ds -e -Dcc='gcc'
sh Configure -ds -e -ds -e -Dcc='gcc' -Dcc='gcc'
sh Configure -ds -e -ds -e -ds -e -Dcc='gcc' -Dcc='gcc' -Dcc='gcc'
sh Configure -ds -e -ds -e -ds -e -ds -e -Dcc='gcc' -Dcc='gcc'
-Dcc='gcc' -Dcc='
gcc'

Please help, what's wrong here???

Christopher Faylor wrote:
> 
> If you're using my patches and Sergey's coolview, there should be no
> reason to #ifdef or #define anything.
> 
> The main problems that people seem to be having are:
> 
> 1) They extract the perl files, read the README.cygwin, install my patch,
>    and do the operations in the README.  Unfortunately, my patch changes
>    the README, so they're following old instructions.
> 
> 2) They do not extract the perl files to a 'binary' mounted directory and
>    the patch does not proceed correctly.  Or, B18 patch screws up so
>    they need to grab and build a new version of patch.
> 
> 3) Most important:  Many people do not have all of the environment variables
>    set up correctly to compile and link C programs.
> 
> I have had a number of success stories so I am pretty sure that my patch
> is correct.  I think it is just a matter of making sure that the above
> details have been covered.
> 
> In article <[email-masked]>,
> Earnie Boyd <[email-masked]> wrote:
> >I compiled the Perl package without much ado.  When the compiler
> >complained I either #ifdef'ed or #define'd the problems.  Be sure to
> >look at the configure --help and make a determination about switches.  I
> >did not compile the utilites just perl.
> >
> >>From: "Jon S. Jaques" <[email-masked]>
> >
> >>Personally, I can compile a simple file,
> >>program1.cpp ("hello world") with *g++* but NOT
> >>gcc (a friend suggested that the file was a
> >>"plus-plus" and that gcc is not, but I don't
> >>really know much about either... my primary reason
> >>for this thing is just to get the new Perl
> >>compiled on my system to open up some options in
> >>my Perl programming... one language at a time, ple
> >>ase! <grin>)
> >>
> >>Please, if you have no luck, then lets' continue
> >>this dialogue-- I'd really like to get this
> >>resolved.
> --
> http://www.bbc.com/     [email-masked]                     "Strange how unreal
> VMS=>UNIX Solutions     Boston Business Computing        the real can be."
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Erwin Achermann                               Tel:      ++41 1 632 74 40
Institut fuer Wissenschaftliches Rechnen      Fax:      ++41 1 632 11 72
ETH Zentrum, IFW C29.2                      email: [email-masked]
CH-8092 Zuerich	          url: http://www.inf.ethz.ch/personal/acherman/
>  Perfection is reached, not when there is no longer anything to add, <
>  but when there is no longer anything to take away.                  <
>                                          -- Antoine de Saint-Exupery <
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".